Page MenuHomeFreeBSD

emulators/virtualbox-ose*: Update to 5.2.40
Needs RevisionPublic

Authored by kevans on Apr 16 2020, 2:36 AM.

Details

Summary
emulators/virtualbox-ose*: Update to 5.2.40

The cpuhotplug.dsl patch has been reduced as it needed to be re-rolled after the update; eliminating the redundant arguments to this macro was not necessary and just increased the chance of breakage on update. 

Changelog: https://www.virtualbox.org/wiki/Changelog-5.2#v40

PR: 244212
Approved by: ??? (vbox, maintainer)
Approved by: koobs (mentor) or bapt (mentor)
Differential_Revision: <<this one>>
Security: <vuxml-uuid>
MFH: 2020Q2 (security release)
Test Plan
  • portlint: ???
  • testport: ???

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

kevans created this revision.Apr 16 2020, 2:36 AM
koobs edited the summary of this revision. (Show Details)Apr 17 2020, 1:38 AM
  • TEST PLAN section empty
  • Since this is a version update, needs Approved by: <maintainer>) or maintainer timeout (I added this to Summary section)
    • At the moment, reviews without accompanying Bugzilla issues can't be ''maintainer timedout''
  • These are all bugfix/maintenance releases, is there a reason not to MFH?
  • I tend not to enumerate changelogs entries in ports commit log messages themselves, unless specific entries re FreeBSD are indicated.
mikael added a subscriber: mikael.Apr 17 2020, 12:19 PM
koobs edited the summary of this revision. (Show Details)Apr 19 2020, 5:58 AM
koobs edited the test plan for this revision. (Show Details)
koobs edited the summary of this revision. (Show Details)
koobs requested changes to this revision.Apr 19 2020, 6:01 AM

Bugzilla issue 244212 mentioned several CVE's associated with this update.

This changeset is pending:

  • VuXML entry added (cd security/vuxml && make install && make newentry && <edit vuxml.xml> ; make validate)
  • Commit VuXML entry
  • Add VuXML UUID to this changesets Security: property
This revision now requires changes to proceed.Apr 19 2020, 6:01 AM
joneum accepted this revision.May 23 2020, 11:41 AM
joneum added a subscriber: joneum.

Accept for MFH after add a Vuxml entry for the CVE's :)